=== debian/changelog ===
cmtk (3.2.0-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 02 May 2014 20:48:28 -0400

cmtk (3.2.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropping CPed changesets

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 May 2014 16:24:50 -0400

cmtk (3.1.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 28 Mar 2014 12:38:06 -0400
