=== debian/control ===
Source: cmtk
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               libmxml-dev,
               libsqlite3-dev,
               zlib1g-dev | libz-dev,
               libdcmtk2-dev | libdcmtk1-dev | libdcmtk-dev,
               libbz2-dev,
               libfftw3-dev,
               liblzma-dev,
               libqt4-dev, qt4-qmake,
               libpng-dev,
               libtiff4-dev | libtiff-dev,
               libwrap0-dev,
               libcharls-dev | libdcmtk1-dev | libdcmtk2-dev (<< 3.6.0-8~),
               libxml2-dev,
               libssl-dev,
               xvfb, bc, dc,
               xauth,
Standards-Version: 3.9.3
Homepage: http://www.nitrc.org/projects/cmtk/
Vcs-Git: git://git.debian.org/pkg-exppsy/cmtk.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cmtk.git;a=summary


Package: cmtk
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Recommends: sri24-atlas
Suggests: numdiff
Description: Computational Morphometry Toolkit
 A software toolkit for computational morphometry of biomedical
 images, CMTK comprises a set of command line tools and a back-end
 general-purpose library for processing and I/O.
 .
 The command line tools primarily provide the following functionality:
 registration (affine and nonrigid; single and multi-channel; pairwise
 and groupwise), image correction (MR bias field estimation;
 interleaved image artifact correction), processing (filters;
 combination of segmentations via voting and STAPLE; shape-based
 averaging), statistics (t-tests; general linear regression).
