## cmtk 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 ##  with the Computational Morphometry Toolkit.  If not, see
 ##  <http://www.gnu.org/licenses/>.
 ##
-##  $Revision: 5341 $
-##
-##  $LastChangedDate: 2014-04-30 14:14:15 -0700 (Wed, 30 Apr 2014) $
+##  $Revision: 5358 $
+##
+##  $LastChangedDate: 2014-06-19 12:55:22 -0700 (Thu, 19 Jun 2014) $
 ##
 ##  $LastChangedBy: torstenrohlfing $
 ##
@@ -44,7 +44,7 @@
 PROJECT(CMTK)
 SET(CMTK_VERSION_MAJOR "3")
 SET(CMTK_VERSION_MINOR "2")
-SET(CMTK_VERSION_PATCH "0")
+SET(CMTK_VERSION_PATCH "1")
 
 SET(CMTK_VERSION_STRING "${CMTK_VERSION_MAJOR}.${CMTK_VERSION_MINOR}.${CMTK_VERSION_PATCH}")
