=== testing/apps/CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 ##  with the Computational Morphometry Toolkit.  If not, see
 ##  <http://www.gnu.org/licenses/>.
 ##
-##  $Revision: 5306 $
-##
-##  $LastChangedDate: 2014-04-08 12:39:50 -0700 (Tue, 08 Apr 2014) $
+##  $Revision: 5353 $
+##
+##  $LastChangedDate: 2014-05-02 14:54:56 -0700 (Fri, 02 May 2014) $
 ##
 ##  $LastChangedBy: torstenrohlfing $
 ##
