=== debian/changelog ===
cmtk (3.2.1-1) unstable; urgency=medium

  * New upstream minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Jul 2014 11:34:17 -0400

cmtk (3.2.0-2) unstable; urgency=medium

  * debian/control
    - build-depend on libtiff-dev first (Closes: #735994)
    - boost policy to 3.9.5 (no pertinent changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Jul 2014 13:31:39 -0400
