=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cmtk
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                cmake,
@@ -15,14 +14,14 @@
                liblzma-dev,
                libqt4-dev, qt4-qmake,
                libpng-dev,
-               libtiff4-dev | libtiff-dev,
+               libtiff-dev | libtiff4-dev,
                libwrap0-dev,
                libcharls-dev | libdcmtk1-dev | libdcmtk2-dev (<< 3.6.0-8~),
                libxml2-dev,
                libssl-dev,
                xvfb, bc, dc,
                xauth,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.nitrc.org/projects/cmtk/
 Vcs-Git: git://git.debian.org/pkg-exppsy/cmtk.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cmtk.git;a=summary
@@ -30,7 +29,7 @@
 
 Package: cmtk
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: sri24-atlas
 Suggests: numdiff
 Description: Computational Morphometry Toolkit
