## cmtk 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 ##  with the Computational Morphometry Toolkit.  If not, see
 ##  <http://www.gnu.org/licenses/>.
 ##
-##  $Revision: 5358 $
-##
-##  $LastChangedDate: 2014-06-19 12:55:22 -0700 (Thu, 19 Jun 2014) $
+##  $Revision: 5372 $
+##
+##  $LastChangedDate: 2014-08-01 10:25:31 -0700 (Fri, 01 Aug 2014) $
 ##
 ##  $LastChangedBy: torstenrohlfing $
 ##
@@ -44,7 +44,7 @@
 PROJECT(CMTK)
 SET(CMTK_VERSION_MAJOR "3")
 SET(CMTK_VERSION_MINOR "2")
-SET(CMTK_VERSION_PATCH "1")
+SET(CMTK_VERSION_PATCH "2")
 
 SET(CMTK_VERSION_STRING "${CMTK_VERSION_MAJOR}.${CMTK_VERSION_MINOR}.${CMTK_VERSION_PATCH}")
