=== contrib/munger/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 ##
 ##  Copyright 2012 SRI International
+##
+##  Copyright 2014 Ashley Manton / Greg Jefferis
 ##
 ##  This file is part of the Computational Morphometry Toolkit.
 ##
@@ -19,11 +21,11 @@
 ##  with the Computational Morphometry Toolkit.  If not, see
 ##  <http://www.gnu.org/licenses/>.
 ##
-##  $Revision: 4637 $
+##  $Revision: 5364 $
 ##
-##  $LastChangedDate: 2012-11-20 14:09:32 -0800 (Tue, 20 Nov 2012) $
+##  $LastChangedDate: 2014-07-20 13:45:49 -0700 (Sun, 20 Jul 2014) $
 ##
-##  $LastChangedBy: torstenrohlfing $
+##  $LastChangedBy: torsten_at_home $
 ##
 
 FIND_PACKAGE(Perl)
@@ -35,7 +37,11 @@
   CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/munger.in ${CMAKE_BINARY_DIR}/bin/munger @ONLY)
 
   ## Configure for the install tree
-  SET(CMTK_BINARY_DIR_CONFIG ${CMAKE_INSTALL_PREFIX}/${CMTK_INSTALL_BIN_DIR})
+  IF(CMTK_BUILD_WRAPPER)
+    SET(CMTK_BINARY_DIR_CONFIG ${CMAKE_INSTALL_PREFIX}/${CMTK_INSTALL_LIB_DIR}/bin)
+  ELSE(CMTK_BUILD_WRAPPER)
+    SET(CMTK_BINARY_DIR_CONFIG ${CMAKE_INSTALL_PREFIX}/${CMTK_INSTALL_BIN_DIR})
+  ENDIF(CMTK_BUILD_WRAPPER)
   CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/munger.in ${CMAKE_BINARY_DIR}/Install/munger @ONLY)
   INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/Install/munger DESTINATION ${CMTK_INSTALL_BIN_DIR} COMPONENT tools)
