=== testing/apps/CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 ##  with the Computational Morphometry Toolkit.  If not, see
 ##  <http://www.gnu.org/licenses/>.
 ##
-##  $Revision: 5353 $
-##
-##  $LastChangedDate: 2014-05-02 14:54:56 -0700 (Fri, 02 May 2014) $
+##  $Revision: 5368 $
+##
+##  $LastChangedDate: 2014-07-28 17:06:35 -0700 (Mon, 28 Jul 2014) $
 ##
 ##  $LastChangedBy: torstenrohlfing $
 ##
@@ -356,6 +356,7 @@
   dof2matLegacy
   dof2matLegacyFwd
   dof2matFixed
+  dof2matSuffix
   dof2mat3x3)
 
 # ==========================================
@@ -420,4 +421,3 @@
 # ==========================================
 # Tests for "gregxform" tool
 LIST(APPEND testList
-  gregxformFordwardBackward
