=== debian/changelog ===
cmtk (3.2.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove alternate Build-Dependency on libtiff4-dev, that package doesn't
    exist anymore.
  * Remove alternate Build-Dependencies on libdcmtk1-dev and libdcmtk2-dev,
    keeping only the unversioned libdcmtk-dev.  Closes: #804568
  * Move the upstream metadata file to debian/upstream/metadata.
  * Add a patch (fix_cmake_version_comparison) to fix FTBFS with newer sqlite3
    with a version that makes cmake's STRGREATER misbehave (use VERSION_GREATER
    instead).
  * Add a patch (dcmtk-3.6.1-compatibility) taken from Ubuntu taken from
    upstream to fix FTBFS with newer dcmtk.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 16 Jan 2016 03:31:16 +0000

cmtk (3.2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use expr for posix-compliant regex comparison (closes: #772217).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 20 Dec 2014 08:14:10 +0000

cmtk (3.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct typo in previous upload.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Dec 2014 22:20:04 +0000

cmtk (3.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashisms in shell scripts (closes: #772217).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Dec 2014 21:18:47 +0000

cmtk (3.2.2-1) unstable; urgency=medium

  * New upstream minor bugfix release
  * Use filtered .orig.tar.gz without numdiff (Closes: #760657)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 21 Sep 2014 10:57:13 +0200
