=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                libmxml-dev,
                libsqlite3-dev,
                zlib1g-dev | libz-dev,
-               libdcmtk2-dev | libdcmtk1-dev | libdcmtk-dev,
+               libdcmtk-dev,
                libbz2-dev,
                libfftw3-dev,
                liblzma-dev,
                libqt4-dev, qt4-qmake,
                libpng-dev,
-               libtiff-dev | libtiff4-dev,
+               libtiff-dev,
                libwrap0-dev,
-               libcharls-dev | libdcmtk1-dev | libdcmtk2-dev (<< 3.6.0-8~),
+               libcharls-dev,
                libxml2-dev,
                libssl-dev,
                xvfb, bc, dc,
