=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="downloadurlmangle=s/$/\/?i_agree=1&download_now=1/" \
  http://www.nitrc.org/frs/?group_id=212 \
  .*/download\.php/.*/CMTK-([.0-9]*)-Source\.tar\.gz
